Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Formalisms.Petri
Class PetriLink

    java.lang.Object
      SEdit.SElement
          SEdit.SArrow
              SEdit.Formalisms.Petri.PetriLink

Direct Known Subclasses:
  PetriInLink, PetriOutLink

    public abstract class PetriLink

extends SArrow

la classe des arcs Petri.

Field Summary
`protected boolean` | `activated`
`protected java.lang.Object` | `filter`
`protected java.lang.String` | `filterString`
`protected boolean` | `validated`
`protected int` | `weight`

Fields inherited from class SEdit.SArrow
`origin, target`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`PetriLink()`

Method Summary
`protected void` | `active(boolean flag)`
`static java.lang.String` | `askForNewString(java.lang.String oldvalue)`
`java.lang.Object` | `getFilter()`
`java.lang.String` | `getFilterString()`
`int` | `getWeight()`
`void` | `modifyFilter()`
`void` | `modifyWeight()`
`void` | `setFilter(java.lang.Object f)`
`void` | `setFilterString(java.lang.String s)`
`void` | `setWeight(int w)`
`protected void` | `validate(boolean flag)`

Methods inherited from class SEdit.SArrow
`delete, getOrigin, getTarget, initGraphics, isConnectable, setOrigin, setTarget, toString`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### activated

    protected boolean activated

### validated

    protected boolean validated

### weight

    protected int weight

### filter

    protected java.lang.Object filter

### filterString

    protected java.lang.String filterString

Constructor Detail

### PetriLink

    public PetriLink()

Method Detail

### setWeight

    public void setWeight(int w)

### getWeight

    public int getWeight()

### setFilter

    public void setFilter(java.lang.Object f)

### getFilter

    public java.lang.Object getFilter()

### setFilterString

    public void setFilterString(java.lang.String s)

### getFilterString

    public java.lang.String getFilterString()

### askForNewString

    public static java.lang.String askForNewString(java.lang.String oldvalue)

### active

    protected void active(boolean flag)

### validate

    protected void validate(boolean flag)

### modifyWeight

    public void modifyWeight()

### modifyFilter

    public void modifyFilter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.